DCBRIGGS(1)

NAME
dcbriggs - ACR/NEMA DICOM PS3 ... Create DICOM Briggs pattern

SYNOPSIS

dcbriggs [ -columns|-cols|-x columns ] [ -rows|-y rows ] [ -bits|-depth|-d bits ] [ -minval i ] [ -maxval i ] [ -signed ] [ -inverted|-invert|-monochrome1 ] [ -contrast value ] [ -surround percent ] [ -background percent ]

DESCRIPTION

dcbriggs writes a grayscale MONOCHROME2 or MONOCHROME1 Briggs 8-target pattern (BPT#4) as a DICOM Secondary Capture Image Storage SOP Class instance stored in a DICOM file. The format, rationale, use and scoring of a Briggs pattern are described in Boeing Technical Report D180-25066-1 by S.J. Briggs, January 1979. Basically a set of checkerboard patterns of varying spatial and contrast resolution are created in order to visually evaluate the quality of the system displaying the pattern.

During the creation, specific attributes may be deleted, added or replaced, class and instance unique identifiers generated or removed, group lengths added, or private attributes removed, as specified by the replacement options described in dcintro(1). This allows the specification of additional DICOM attributes, such as the patient's name, necessary to make a complete and useful SC instance.

OPTIONS
The verbose output goes to standard error.

The basic switches are described in dcintro(1). Options specific to this program are:

-columns|-cols|-x columns
    Defaults to 512.

-rows|-y rows
    Defaults to 512.

-bits|-depth|-d bits
    Defaults to 8.

-minval i
    Defaults to 0. Specifies the pixel value to store for the 0% gray value in the Briggs pattern.

-maxval i
    Defaults to (2^bits)-1. Specifies the pixel value to store for the 100% gray value in the Briggs pattern. (Note this does not have to be (2^bits)-1).

-signed
    Treat the minval and maxval as signed and set the Pixel Representation in the DICOM image to signed.

-inverted|-invert|-monochrome1
    Invert the grayscale range and set the Photometric Interpretation to MONOCHROME1 (zero is white) rather than the default MONOCHROME2 (zero is black). The image should display the same in a DICOM viewer that correctly handles Photometric Interpretation.

-contrast value
    Optional. Specifies the target command contrast between light and dark checkers. Defaults to a value of 7. This corresponds to Briggs' C value.

-surround percent
    Optional. Specifies percent of maxval-minval used for the target surround. Should be an integer. Divided by 100, this corresponds to Briggs' S value. Defaults to 70%.

-background percent
    Optional. Specifies percent of maxval-minval used for the background and spacing between targets. Should be an integer. Defaults to 30%.

ENVIRONMENT

EXAMPLES

# Create an 8 bit pattern from 0 to 255, ie. BPT#4(7,.7,256)
# and make a PGM and a GIF file from it using netpbm tools ...
% dcbriggs -bits 8 -minval 0 -maxval 255 briggs.dc3
% dctopnm briggs.dc3 briggs.pgm
% ppmtogif briggs.pgm > briggs.gif
# Create a 12 bit pattern from 0 to 4095 with a C of 112 and S of .55, ie. BPT#4(13,.55,4096) ...
% dcbriggs -bits 12 -minval 0 -maxval 4095 -contrast 112
# Create a 16 bit pattern from -1024 to 3071 with a C of 112 and S of .55 ...
% dcbriggs -bits 16 -minval ' -1024' -maxval 3071 -signed -contrast 112 -surround 55

FILES

SEE ALSO
dccp(1), dciodvfy(1), dcsmpte(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS